post
/v4/enums/{enumName}/batch-convert
Batch convert multiple enum values at once. Accepts an array of values and returns an array of conversion results. Maximum 100 values per request.
Path parameters
enumNamestringrequired
Request body
object
valuesnumber | string[]required
Array of values to convertResponses
200Response for status 200
Schema
object
resultsobject[]requiredArray of conversion results
inputnumber | stringThe input valueoutputnumber | stringThe converted valuedescriptionstringDescription if availableExample
{
"results": [
{
"input": "string",
"output": "string",
"description": "string"
}
]
}post
https://api.merkl.xyz/v4/enums/{enumName}/batch-convertcurl -X POST "https://api.merkl.xyz/v4/enums/{enumName}/batch-convert" \
-H "Content-Type: application/json" \
-d '{ "values": [ "string" ] }'Current params
{
"body": {
"values": [
"string"
]
}
}Fill the required path parameter enumName to send.Live request — this will call https://api.merkl.xyz/ for real.